import ComponentBase from "../components/ComponentBase";

export default class FriendItem extends ComponentBase{
    private static _parent: eui.UILayer;
    private static _instance: FriendItem;
    public waitImg:eui.Image;
    static get instace(): FriendItem {
        return FriendItem._instance || (FriendItem._instance = new FriendItem());
    }
    constructor() {
        super();
        this.horizontalCenter = 0;
        this.verticalCenter = 0;
    }

    static init(parent: eui.UILayer) {
        FriendItem._parent = parent;
    }

    onSkinComplete(): any {
        super.onSkinComplete();
    }
    
    public get skinKey() { return 'FriendItem' }
	public get groupName() { return 'frienditem'}
}